package cn.net.cpzslibs.prot.handset.bean.res;

import java.io.Serializable;

/**
 * @author 作者 李扬:
 * @date 创建时间：2017-4-20 下午2:16:19
 * @version 1.0
 * @parameter
 * @since
 * @return
 */
public class Prot20019ResBean implements Serializable{

	/*
	 * { “label_id”:”12222222222”, “area_name” : “xxxxx”, “product_name”:”name”,
	 * “pop_time”:”time”, “package_id”:”123456789”, “first_consume_time”:”time”,
	 * “produce_time”:”time”, “iResult”:0 }
	 */

	private String label_id;
	private String area_name;
	private String product_name;
	private String pop_time;
	private String package_id;
	private String first_consume_time;
	private String produce_time;
	private int iResult;

	private int errcode;
	private String errmsg;
	private int result;

	public Prot20019ResBean(String label_id, String area_name,
			String product_name, String pop_time, String package_id,
			String first_consume_time, String produce_time, int iResult,
			int errcode, String errmsg, int result) {

		this.label_id = label_id;
		this.area_name = area_name;
		this.product_name = product_name;
		this.pop_time = pop_time;
		this.package_id = package_id;
		this.first_consume_time = first_consume_time;
		this.produce_time = produce_time;
		this.iResult = iResult;
		this.errcode = errcode;
		this.errmsg = errmsg;
		this.result = result;
	}

	public String getLabel_id() {
		return label_id;
	}

	public void setLabel_id(String label_id) {
		this.label_id = label_id;
	}

	public String getArea_name() {
		return area_name;
	}

	public void setArea_name(String area_name) {
		this.area_name = area_name;
	}

	public String getProduct_name() {
		return product_name;
	}

	public void setProduct_name(String product_name) {
		this.product_name = product_name;
	}

	public String getPop_time() {
		return pop_time;
	}

	public void setPop_time(String pop_time) {
		this.pop_time = pop_time;
	}

	public String getPackage_id() {
		return package_id;
	}

	public void setPackage_id(String package_id) {
		this.package_id = package_id;
	}

	public String getFirst_consume_time() {
		return first_consume_time;
	}

	public void setFirst_consume_time(String first_consume_time) {
		this.first_consume_time = first_consume_time;
	}

	public String getProduce_time() {
		return produce_time;
	}

	public void setProduce_time(String produce_time) {
		this.produce_time = produce_time;
	}

	public int getiResult() {
		return iResult;
	}

	public void setiResult(int iResult) {
		this.iResult = iResult;
	}

	public int getErrcode() {
		return errcode;
	}

	public void setErrcode(int errcode) {
		this.errcode = errcode;
	}

	public String getErrmsg() {
		return errmsg;
	}

	public void setErrmsg(String errmsg) {
		this.errmsg = errmsg;
	}

	public int getResult() {
		return result;
	}

	public void setResult(int result) {
		this.result = result;
	}

	@Override
	public String toString() {
		return "Prot20019ResBean [label_id=" + label_id + ", area_name="
				+ area_name + ", product_name=" + product_name + ", pop_time="
				+ pop_time + ", package_id=" + package_id
				+ ", first_consume_time=" + first_consume_time
				+ ", produce_time=" + produce_time + ", iResult=" + iResult
				+ ", errcode=" + errcode + ", errmsg=" + errmsg + ", result="
				+ result + "]";
	}
	
}
